# Class Element

java.lang.Object
nu.validator.saxtree.Node
nu.validator.saxtree.ParentNode
nu.validator.saxtree.Element

All Implemented Interfaces:
  `Locator2, Locator`

public final class Element extends ParentNode
An element.

Version:
  $Id$
Author:
  hsivonen

## Field Summary

### Fields inherited from class ParentNode

`endLocator`

## Constructor Summary

Constructors
Constructor
Description
`Element(Locator locator, String uri, String localName, String qName, Attributes atts, boolean retainAttributes, List<PrefixMapping> prefixMappings)`
The contructor.

## Method Summary

Modifier and Type
Method
Description
`Attributes`
`getAttributes()`
Returns the attributes.
`String`
`getLocalName()`
Returns the localName.
`NodeType`
`getNodeType()`
Return the node type.
`List<PrefixMapping>`
`getPrefixMappings()`
Returns the prefixMappings.
`String`
`getQName()`
Returns the qName.
`String`
`getUri()`
Returns the uri.

### Methods inherited from class ParentNode

`appendChild, appendChildren, clearChildren, copyEndLocator, getFirstChild, getLastChild, insertBefore, insertBetween, setEndLocator`

### Methods inherited from class Node

`detach, getColumnNumber, getData, getEncoding, getLineNumber, getName, getNextSibling, getParentNode, getPreviousSibling, getPublicId, getPublicIdentifier, getSystemId, getSystemIdentifier, getTarget, getXMLVersion`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Element

public Element(Locator locator, String uri, String localName, String qName, Attributes atts, boolean retainAttributes, List<PrefixMapping> prefixMappings)
The contructor.

Parameters:
  `locator` - the locator.
  `uri` - the namespace URI
  `localName` - the local name
  `qName` - the qualified name
  `atts` - the attributes
  `retainAttributes` - `true` to retain the attributes instead of copying
  `prefixMappings` - the prefix mappings

## Method Details

### getAttributes

public Attributes getAttributes()
Returns the attributes.

Overrides:
  `getAttributes` in class `Node`
Returns:
  the attributes

### getLocalName

public String getLocalName()
Returns the localName.

Overrides:
  `getLocalName` in class `Node`
Returns:
  the localName

### getPrefixMappings

public List<PrefixMapping> getPrefixMappings()
Returns the prefixMappings.

Overrides:
  `getPrefixMappings` in class `Node`
Returns:
  the prefixMappings

### getQName

public String getQName()
Returns the qName.

Overrides:
  `getQName` in class `Node`
Returns:
  the qName

### getUri

public String getUri()
Returns the uri.

Overrides:
  `getUri` in class `Node`
Returns:
  the uri

### getNodeType

public NodeType getNodeType()
Description copied from class: `Node`
Return the node type.

Specified by:
  `getNodeType` in class `Node`
Returns:
  the node type
See Also:
  - `Node.getNodeType()`